Bug 521570 - MacBook Aluminum Install: No DVD playback without all_generic_ide
Summary: MacBook Aluminum Install: No DVD playback without all_generic_ide
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-07 00:36 UTC by W. Michael Petullo
Modified: 2010-06-28 14:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:30:39 UTC


Attachments (Terms of Use)

Description W. Michael Petullo 2009-09-07 00:36:12 UTC
Description of problem:
After installing Fedora 11 on a MacBook Aluminum, I was unable to play DVD's. I was having the problem documented by another user at http://forums.fedoraforum.org/printthread.php?t=191747.

Version-Release number of selected component (if applicable):
Fedora 11 Network Install Disc

How reproducible:
Every time

Steps to Reproduce:
1. Install Fedora 11 on a MacBook Aluminum
2. Install the packages from Fedora, RPM Fusion, etc. required for playing DVD's
3. Try to play a DVD
  
Actual results:
GStreamer's dvdread plugin fails and states, "could not read from resource."

Expected results:
The DVD should play.

Additional info:
Rebooting the kernel with the "all_generic_ide" parameter fixed the problem.

Comment 1 Bug Zapper 2010-04-28 10:12:26 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 W. Michael Petullo 2010-05-03 20:06:18 UTC
This is fixed in Fedora 12 / kernel-2.6.32.11-99.fc12.x86_64.

Comment 3 Bug Zapper 2010-06-28 14:30:39 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.